Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.meta.strats
Class MaxEmbeddedClobFieldStrategy

    java.lang.Object
      org.apache.openjpa.jdbc.meta.strats.AbstractStrategy
          org.apache.openjpa.jdbc.meta.strats.AbstractFieldStrategy
              org.apache.openjpa.jdbc.meta.strats.HandlerFieldStrategy
                  org.apache.openjpa.jdbc.meta.strats.MaxEmbeddedLobFieldStrategy
                      org.apache.openjpa.jdbc.meta.strats.MaxEmbeddedClobFieldStrategy

All Implemented Interfaces:
  Serializable, Embeddable, FieldStrategy, Joinable, Strategy

    public class MaxEmbeddedClobFieldStrategy

extends MaxEmbeddedLobFieldStrategy

Mapping for CLOB string on a dictionary that has a maximum embedded CLOB size.

Since:
  0.4.0
Author:
  Abe White
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.openjpa.jdbc.meta.strats.HandlerFieldStrategy
`_args, _cols, _io, _load, _lob`

Fields inherited from class org.apache.openjpa.jdbc.meta.strats.AbstractFieldStrategy
`field`

Fields inherited from interface org.apache.openjpa.jdbc.meta.Embeddable
`UNSUPPORTED`

Constructor Summary
`MaxEmbeddedClobFieldStrategy()`

Method Summary
`protected int` | `getExpectedJavaType()` Return the expected type of the field from `JavaTypes` or `JavaSQLTypes`.
`protected Object` | `getValue(OpenJPAStateManager sm)`
`void` | `initialize()` Perform caching and other initialization operations.
`protected Boolean` | `isCustom(OpenJPAStateManager sm, JDBCStore store)` Return whether this is a custom insert/update.
`void` | `map(boolean adapt)` Map the owning mapping using this strategy.
`protected void` | `putData(OpenJPAStateManager sm, ResultSet rs, DBDictionary dict)` Set the data from the given state manager into the result set.
`protected void` | `update(OpenJPAStateManager sm, Row row)` Set the value of the owning field into the given row.

Methods inherited from class org.apache.openjpa.jdbc.meta.strats.MaxEmbeddedLobFieldStrategy
`customInsert, customUpdate, delete, insert, isCustomInsert, isCustomUpdate, isVersionable, join, load, load, load, loadProjection, select, supportsSelect, update, where`

Methods inherited from class org.apache.openjpa.jdbc.meta.strats.HandlerFieldStrategy
`appendIsNotNull, appendIsNull, getColumnIO, getColumns, getFieldIndex, getJoinValue, getJoinValue, getPrimaryKeyValue, getResultArguments, joinRelation, loadEmbedded, setAutoAssignedValue, toDataStoreValue, toEmbeddedDataStoreValue, toEmbeddedObjectValue`

Methods inherited from class org.apache.openjpa.jdbc.meta.strats.AbstractFieldStrategy
`appendIndex, appendIsEmpty, appendIsNotEmpty, appendSize, appendType, assertNotMappedBy, isEagerSelectToMany, joinKey, joinKeyRelation, loadEagerJoin, loadEagerParallel, loadKeyProjection, selectEagerJoin, selectEagerParallel, setFieldMapping, toKeyDataStoreValue`

Methods inherited from class org.apache.openjpa.jdbc.meta.strats.AbstractStrategy
`customDelete, getAlias, isCustomDelete`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.openjpa.jdbc.meta.Strategy
`customDelete, getAlias, isCustomDelete`

Constructor Detail

### MaxEmbeddedClobFieldStrategy

    public MaxEmbeddedClobFieldStrategy()

Method Detail

### getExpectedJavaType

    protected int getExpectedJavaType()

  Description copied from class: `MaxEmbeddedLobFieldStrategy`
  Return the expected type of the field from `JavaTypes` or `JavaSQLTypes`.

  Specified by:
    `getExpectedJavaType` in class `MaxEmbeddedLobFieldStrategy`

### update

    protected void update(OpenJPAStateManager sm,
                          Row row)
                   throws SQLException

  Description copied from class: `MaxEmbeddedLobFieldStrategy`
  Set the value of the owning field into the given row.

  Specified by:
    `update` in class `MaxEmbeddedLobFieldStrategy`
  Throws:
    `SQLException`

### isCustom

    protected Boolean isCustom(OpenJPAStateManager sm,
                               JDBCStore store)

  Description copied from class: `MaxEmbeddedLobFieldStrategy`
  Return whether this is a custom insert/update.

  Specified by:
    `isCustom` in class `MaxEmbeddedLobFieldStrategy`

### putData

    protected void putData(OpenJPAStateManager sm,
                           ResultSet rs,
                           DBDictionary dict)
                    throws SQLException

  Description copied from class: `MaxEmbeddedLobFieldStrategy`
  Set the data from the given state manager into the result set.

  Specified by:
    `putData` in class `MaxEmbeddedLobFieldStrategy`
  Throws:
    `SQLException`

### map

    public void map(boolean adapt)

  Description copied from interface: `Strategy`
  Map the owning mapping using this strategy.

  Specified by:
    `map` in interface `Strategy`
  Overrides:
    `map` in class `MaxEmbeddedLobFieldStrategy`
  Parameters:
    `adapt` - if true, use the owning mapping's raw mapping info to set its ORM data; if false, ORM data will already be set

### initialize

    public void initialize()

  Description copied from interface: `Strategy`
  Perform caching and other initialization operations. This method is called after `Strategy.map(boolean)`, and after all related components have been mapped as well.

  Specified by:
    `initialize` in interface `Strategy`
  Overrides:
    `initialize` in class `HandlerFieldStrategy`

### getValue

    protected Object getValue(OpenJPAStateManager sm)

  Specified by:
    `getValue` in class `MaxEmbeddedLobFieldStrategy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.